<?php
	/* Hole den Pfad zu den Gebetszeiten aus der Datei */
	if (file_exists('praytime_path.txt'))
	{
	$praytime_path = file_get_contents('praytime_path.txt');
	if ($praytime_path == '') $praytime_path = 'No city chosen yet.';
	}
	else
	{
		echo '<h3 style="color:red;">You need to create the file "praytime_path.txt" in the plugin folder first!</h3>';
	}
	
	/* Hole Style aus Datei */
	if (file_exists('praytime_styles.css'))
	{
		$praytime_styles = file_get_contents('praytime_styles.css');
	}
	else
	{
		echo '<h3 style="color:red;"You need to create the file "praytime_styles.css" in the plugin folder first!</h3>';
	}
?>
<style>
	input#praytime_city_link {
		padding:6px;
		font-weight:bold;
		font-family:sans-serif;
		width:85%;
	}
	button#stylus {
		padding:6px;
		font-family:sans-serif;
	}
	textarea#stylus {
		width:85%;
		font-family:monospace;
		color:black;
		background-color:white;
		font-weight:bold;
	}
	span#praytime_beschreibung, b#praytime_text {
		font-family: sans-serif;
		line-height:150%;
	}
</style>
<span id="praytime_beschreibung">
	<b>Choosing the city</b><br>
	1. Visit <b><a href="http://www.times.izaachen.de/" target="_blank">www.times.izaachen.de</a></b> and search for your city. <br>
	2. Click on the city name to open the timesheet. <br>
	3. Copy the URL to the line below. <br>
</span>
<p></p>

<form action="apply_options.php" method="post">
	<button id="stylus" name="stylus" class="input-button" type="submit">Save</button><br><br>
	<b id="praytime_text">Prayer Times URL</b><br>
	<input type="text" name="praytime_city_link" id="praytime_city_link" value="<?php echo $praytime_path; ?>"><br>
	<p></p>
	<b id="praytime_text">Custom Widget Styles</b><br>
	<textarea name="stylus" id="stylus" rows="35"><?php echo $praytime_styles; ?></textarea>		 
</form>
		
<script>
    var textarea_height = window.innerHeight;
    document.getElementsByTagName('textarea')[0].rows = (textarea_height/25);    
	
	var textareas = document.getElementsByTagName('textarea');
	var count = textareas.length;
	for(var i=0;i<count;i++){
    textareas[i].onkeydown = function(e){
        if(e.keyCode==9 || e.which==9){
            e.preventDefault();
            var s = this.selectionStart;
            this.value = this.value.substring(0,this.selectionStart) + "\t" + this.value.substring(this.selectionEnd);
            this.selectionEnd = s+1; 
        }
    }
}
</script>