<?php
function praytime_widget_display($args) 
{
	extract($args);
	
	 /* Wird im Theme definiert */
	echo $before_widget;
	
	/* Widget Title (hier nicht benötigt) */
	//echo $before_title . __('Hello World') . $after_title;

/* ============================================================================== */	
	/* Text-Inhalt-Ausgabe */
	
	/* Datums Funktionen */
	$jahr = date("Y"); //Vierstellige Jahreszahl  ***  2015
    $monat = date("F"); //Monat als ganzes Wort  ***  January oder March
    $tag_zahl = date("d"); //Tag des Monats, 2-stellig mit führender Null  *** 09 oder 24
	$de_tage = array("Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag");
	$de_monate = array(1=>"Januar",2=>"Februar",3=>"M&auml;rz",4=>"April",5=>"Mai",6=>"Juni",7=>"Juli",8=>"August",9=>"September",10=>"Oktober",11=>"November",12=>"Dezember");
	$tag_name_zahl = date("w"); //Wochentag als Zahl  ***  wie 2 für Dienstag
	
	/* Hole Name des Wochentags aus Array */
	$tag_name = $de_tage[$tag_name_zahl];
	
	/* Kürzung des Wochentags auf 2 Buchstaben, da die Tage im Dokument so geschrieben werden */ 
	$tag_name = substr($tag_name, 0, 2); 
	
	// Einfügen der custom CSS
	echo '<style>'.file_get_contents(plugin_dir_url( __FILE__ ).'praytime_styles.css').'</style>';	
	
	/* Pfad zur Datei */
    
    /* =================================== BEGIN Zeitenberechnung =================================== */
    
	$filepath = file_get_contents(plugin_dir_url( __FILE__ ).'praytime_path.txt');
	if ($filepath == '') {
        echo '<h2>Zieldatei wurde nicht festgelegt!</h2>';
    }
	else
	{
        $timeData = file_get_contents($filepath);
		// Month names in ger and eng
            $monthsArrayEN = ['January ', 'February ', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'];
            $monthsArrayDE = ['Januar ', 'Februar ', 'März', 'April', 'Mai', 'Juni', 'Juli', 'August', 'September', 'Oktober', 'November', 'Dezember'];

            // Day names in ger and eng
            $daysArrayEN = ['Su.', 'Mo.', 'Tu.', 'We.', 'Th.', 'Fr.', 'Sa.'];
            $daysArrayDE = ['So.', 'Mo.', 'Di.', 'Mi.', 'Do.', 'Fr.', 'Sa.'];


            $day = date('d');

            $month = date('m');
            $monthInArray = date('n')-1;

            $year = date('Y');


            // Get todays day name
            $dayName = $daysArrayEN[date('w')];

            // get number of days in month
            $daysInMonth = cal_days_in_month(CAL_GREGORIAN, $month, $year);

            // get day name of last day in month
            $lastDayNameNr = date('w', mktime(0, 0, 0, $month, $daysInMonth, $year));
            $lastDayName = $daysArrayEN[$lastDayNameNr];

            // environment variables
            $dayStringLength = 68;


            // Convert table to clear english format to avoid parsing errors
            // Replace all german month names with english ones
            $monthsArrayLength = sizeof($monthsArrayDE);
            for ($i = 0; $i < $monthsArrayLength; $i++) {
                $timeData = str_replace($monthsArrayDE[$i], $monthsArrayEN[$i], $timeData);
            }
            
            // Replace all german day names with english ones
            $daysArrayLength = 6;   
            for ($i = 0; $i < $daysArrayLength; $i++) {
                $timeData = str_replace($daysArrayDE[$i], $daysArrayEN[$i], $timeData);
            } 

            // Get subData Block with times of current Month
            // Find block beginning
            $subDataBeginString = $monthsArrayEN[$monthInArray]. '  ' . $year;
            $subDataBegin = strpos($timeData, $subDataBeginString);

            // Find block ending
            $endString = $daysInMonth . '   ' . $lastDayName;
            $subDataEnd = strpos($timeData, $endString, $subDataBegin) + $dayStringLength;
            

            // Get current data bock
            $subDataLength = $subDataEnd - $subDataBegin;
            $subDataBlock = substr($timeData, $subDataBegin, $subDataLength);

            // Read PrayerTimes of today
            $dayPrayerString = substr($subDataBlock, strpos($subDataBlock, $day . '   ' . $dayName), $dayStringLength);

            $prayer01 = substr($dayPrayerString, 23, 5); // Fajr
            $prayer02 = substr($dayPrayerString, 31, 5); // Shuruk
            $prayer03 = substr($dayPrayerString, 39, 5); // Duhr
            $prayer04 = substr($dayPrayerString, 47, 5); // Assr
            $prayer05 = substr($dayPrayerString, 55, 5); // Maghreb
            $prayer06 = substr($dayPrayerString, 63, 5); // Ishaa
		
		// Steckt die Zeiten in ein Array:
    	$gebetszeiten = array($prayer01, $prayer02, $prayer03, $prayer04, $prayer05, $prayer06);
		
        /* =================================== END Zeitenberechnung =================================== */
        
		// Ermittle den Namen der Stadt
		$stadtname = substr($str, 221,100);
		$stadtnametext = explode('City: ', $stadtname);
		$stadtnametext = explode(', DE', $stadtnametext[1]);
		$stadtname = $stadtnametext[0];
        
        
        // Get File City name
            $cityNameA = strpos($timeData, 'City: ')+strlen('City: ');
            $cityNameB;
            $cityNameBa = strpos($timeData, ' (', $cityNameA);
            $cityNameBb = strpos($timeData, ',', $cityNameA);
            if ($cityNameBa < $cityNameBb) {
                $cityNameB = $cityNameBa;
            } else {
                $cityNameB = $cityNameBb;
            }
            $cityName = substr($timeData, $cityNameA, ($cityNameB-$cityNameA));
            $stadtname = $cityName;       
        
        
        
		
		$ausgabe = '<p></p><span class="praytime_all"><center><span class="praytime_deut">Gebetszeiten f&uuml;r '.$stadtname.'</span></center>
		<center><span class="praytime_arab">أوقات الصلاة اليوم</span></center>';
		$ausgabe .= '<center><span class="praytime_name pt_fadjr">Fadjr: &nbsp;</span><span class="praytime_time">'.$gebetszeiten[0].'</span><span class="praytime_uhr"> Uhr</span><br>';
		$ausgabe .= '<span class="praytime_name pt_shuruk">Shuruk: &nbsp;</span><span class="praytime_time">'.$gebetszeiten[1].'</span><span class="praytime_uhr"> Uhr</span><br>';
		$ausgabe .= '<span class="praytime_name pt_duhur">Duhr: &nbsp;</span><span class="praytime_time">'.$gebetszeiten[2].'</span><span class="praytime_uhr"> Uhr</span><br>';
		$ausgabe .= '<span class="praytime_name pt_assr">Assr: &nbsp;</span><span class="praytime_time">'.$gebetszeiten[3].'</span><span class="praytime_uhr"> Uhr</span><br>';
		$ausgabe .= '<span class="praytime_name pt_maghreb">Maghreb: &nbsp;</span><span class="praytime_time">'.$gebetszeiten[4].'</span><span class="praytime_uhr"> Uhr</span><br>';
		$ausgabe .= '<span class="praytime_name pt_ishaa">Ishaa: &nbsp;</span><span class="praytime_time">'.$gebetszeiten[5].'</span><span class="praytime_uhr"> Uhr</span><br></center></span><p></p>';
		
		echo $ausgabe;		
	}

/* ============================================================================== */	
	/* Wird im Theme definiert */
	echo $after_widget;
}

// register the custom widgets
wp_register_sidebar_widget(
    'praytimewidget_v2',       		// ID
    'Gebetszeiten Widget',     		// Name des Widgets im Backend
    'praytime_widget_display',  	// callback 
    array(                  		// Optionen
        'description' => 'Dieses Widget zeigt die Gebetszeiten des Tages an. Einstellungen im Admin Bereich.'
    )
);
?>